import Foundation

enum AppFlow: Codable {
    case start
}

struct AppState: Stateable {
    var appVersion: String
    var currentFlow: AppFlow

    var tempState: TempState
}

// MARK: Init
extension AppState {
    init() {
        appVersion = Const.appVersion
        currentFlow = .start

        tempState = .init()
    }
}
